Bug 1380246 - [abrt] pcmanfm-qt: fm_file_info_ref(): pcmanfm-qt killed by SIGSEGV
Summary: [abrt] pcmanfm-qt: fm_file_info_ref(): pcmanfm-qt killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libfm-qt
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:991497bdddf7c47171ddf5b0173...
: 1205096 1393499 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-29 05:34 UTC by mastaiza
Modified: 2017-01-29 22:17 UTC (History)
6 users (show)

Fixed In Version: libfm-qt-0.11.2-3.fc25 libfm-qt-0.11.2-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-29 21:51:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.59 KB, text/plain)
2016-09-29 05:34 UTC, mastaiza
no flags Details
File: cgroup (242 bytes, text/plain)
2016-09-29 05:34 UTC, mastaiza
no flags Details
File: core_backtrace (13.57 KB, text/plain)
2016-09-29 05:34 UTC, mastaiza
no flags Details
File: dso_list (12.89 KB, text/plain)
2016-09-29 05:34 UTC, mastaiza
no flags Details
File: environ (1.46 KB, text/plain)
2016-09-29 05:34 UTC, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-29 05:35 UTC, mastaiza
no flags Details
File: maps (59.84 KB, text/plain)
2016-09-29 05:35 UTC, mastaiza
no flags Details
File: mountinfo (3.23 KB, text/plain)
2016-09-29 05:35 UTC, mastaiza
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-29 05:35 UTC, mastaiza
no flags Details
File: open_fds (3.70 KB, text/plain)
2016-09-29 05:35 UTC, mastaiza
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-09-29 05:35 UTC, mastaiza
no flags Details
File: var_log_messages (312 bytes, text/plain)
2016-09-29 05:35 UTC, mastaiza
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2016-09-29 05:35 UTC, mastaiza
no flags Details
https://github.com/lxde/libfm/commit/2a53741.patch (1.45 KB, patch)
2016-11-11 17:31 UTC, Raphael Groner
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Github lxde pcmanfm-qt issues 412 None None None 2016-11-11 17:32:56 UTC

Description mastaiza 2016-09-29 05:34:45 UTC
Version-Release number of selected component:
pcmanfm-qt-0.11.1-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        pcmanfm-qt --desktop --profile=lxqt
crash_function: fm_file_info_ref
executable:     /usr/bin/pcmanfm-qt
global_pid:     12434
kernel:         4.7.4-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fm_file_info_ref at base/fm-file-info.c:866
 #1 _fetch_file_info_for_shortcut at base/fm-file-launcher.c:146
 #2 fm_launch_files at base/fm-file-launcher.c:193
 #3 Fm::FileLauncher::launchFiles at /usr/src/debug/libfm-qt-0.11.1/src/filelauncher.cpp:50
 #4 Fm::FolderView::onFileClicked at /usr/src/debug/libfm-qt-0.11.1/src/folderview.cpp:997
 #5 QtPrivate::QSlotObjectBase::call at ../../src/corelib/kernel/qobject_impl.h:124
 #6 QMetaObject::activate at kernel/qobject.cpp:3715
 #8 Fm::FolderView::clicked at /usr/src/debug/libfm-qt-0.11.1/x86_64-redhat-linux-gnu/src/moc_folderview.cpp:220
 #9 Fm::FolderView::onItemActivated at /usr/src/debug/libfm-qt-0.11.1/src/folderview.cpp:423
 #10 QtPrivate::FunctorCall<QtPrivate::IndexesList<0>, QtPrivate::List<QModelIndex const&>, void, void (Fm::FolderView::*)(QModelIndex)>::call at /usr/include/qt5/QtCore/qobjectdefs_impl.h:501

Potential duplicate: bug 1205096

Comment 1 mastaiza 2016-09-29 05:34:52 UTC
Created attachment 1205793 [details]
File: backtrace

Comment 2 mastaiza 2016-09-29 05:34:54 UTC
Created attachment 1205794 [details]
File: cgroup

Comment 3 mastaiza 2016-09-29 05:34:56 UTC
Created attachment 1205795 [details]
File: core_backtrace

Comment 4 mastaiza 2016-09-29 05:34:58 UTC
Created attachment 1205796 [details]
File: dso_list

Comment 5 mastaiza 2016-09-29 05:34:59 UTC
Created attachment 1205797 [details]
File: environ

Comment 6 mastaiza 2016-09-29 05:35:01 UTC
Created attachment 1205798 [details]
File: limits

Comment 7 mastaiza 2016-09-29 05:35:03 UTC
Created attachment 1205799 [details]
File: maps

Comment 8 mastaiza 2016-09-29 05:35:05 UTC
Created attachment 1205800 [details]
File: mountinfo

Comment 9 mastaiza 2016-09-29 05:35:07 UTC
Created attachment 1205801 [details]
File: namespaces

Comment 10 mastaiza 2016-09-29 05:35:08 UTC
Created attachment 1205802 [details]
File: open_fds

Comment 11 mastaiza 2016-09-29 05:35:10 UTC
Created attachment 1205803 [details]
File: proc_pid_status

Comment 12 mastaiza 2016-09-29 05:35:12 UTC
Created attachment 1205804 [details]
File: var_log_messages

Comment 13 mastaiza 2016-09-29 05:35:13 UTC
Created attachment 1205805 [details]
File: exploitable

Comment 14 Raphael Groner 2016-09-29 16:46:29 UTC
Old bug or regression, see bug #1205096. I doubt this has anything to do with the recent 0.11 updates.

Comment 15 Raphael Groner 2016-09-29 16:46:50 UTC
*** Bug 1205096 has been marked as a duplicate of this bug. ***

Comment 17 RJ 2016-11-09 17:39:52 UTC
*** Bug 1393499 has been marked as a duplicate of this bug. ***

Comment 18 RJ 2016-11-09 19:37:24 UTC
They said fixed https://github.com/lxde/libfm/commit/2a53741

Comment 19 Raphael Groner 2016-11-11 17:31:11 UTC
Created attachment 1219831 [details]
https://github.com/lxde/libfm/commit/2a53741.patch

From 2a537414def87ebd75024a74030e60582cd78c45 Mon Sep 17 00:00:00 2001
From: Andriy Grytsenko <andrej@rep.kiev.ua>
Date: Mon, 27 Jun 2016 11:41:36 +0300
Subject: [PATCH] [SF#1012]Fix crash on non-existent directory listing job.

Comment 20 Mamoru TASAKA 2016-11-11 18:11:30 UTC
Note that 2a537414de is already on Fedora public more than 2 month ago.

https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa32e6e85b

Comment 21 Raphael Groner 2016-11-11 18:15:44 UTC
(In reply to Mamoru TASAKA from comment #20)
> Note that 2a537414de is already on Fedora public more than 2 month ago.
> 
> https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa32e6e85b

That update is about libfm. This bug is about pcmanfm-qt, it uses libfm-qt.

Comment 22 Mamoru TASAKA 2016-11-11 18:20:47 UTC
(In reply to Raphael Groner from comment #21)
> (In reply to Mamoru TASAKA from comment #20)
> > Note that 2a537414de is already on Fedora public more than 2 month ago.
> > 
> > https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa32e6e85b
> 
> That update is about libfm. This bug is about pcmanfm-qt, it uses libfm-qt.

And libfm-qt depends on libfm (I am not talking about libfm-gtk(2) http://koji.fedoraproject.org/koji/rpminfo?rpmID=8130174

Comment 23 Fedora Update System 2017-01-19 14:30:48 UTC
obconf-qt-0.11.1-3.fc25 lxqt-session-0.11.1-3.fc25 pcmanfm-qt-0.11.3-3.fc25 pavucontrol-qt-0.2.0-3.fc25 lxqt-sudo-0.11.1-3.fc25 lxqt-runner-0.11.1-3.fc25 lxqt-qtplugin-0.11.1-2.fc25 lxqt-powermanagement-0.11.1-3.fc25 lxqt-policykit-0.11.1-3.fc25 lxqt-panel-0.11.1-3.fc25 lxqt-openssh-askpass-0.11.1-3.fc25 lxqt-notificationd-0.11.1-3.fc25 lxqt-l10n-0.11.2-2.fc25 lxqt-globalkeys-0.11.1-3.fc25 lxqt-config-0.11.1-4.fc25 lxqt-common-0.11.2-2.fc25 lxqt-about-0.11.1-3.fc25 lxqt-admin-0.11.1-3.fc25 lximage-qt-0.5.1-3.fc25 liblxqt-0.11.1-4.fc25 libfm-qt-0.11.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb2187bc4e

Comment 24 Fedora Update System 2017-01-19 14:31:17 UTC
obconf-qt-0.11.1-3.fc24 lxqt-session-0.11.1-3.fc24 pcmanfm-qt-0.11.3-3.fc24 pavucontrol-qt-0.2.0-3.fc24 lxqt-sudo-0.11.1-3.fc24 lxqt-runner-0.11.1-3.fc24 lxqt-qtplugin-0.11.1-2.fc24 lxqt-powermanagement-0.11.1-3.fc24 lxqt-policykit-0.11.1-3.fc24 lxqt-panel-0.11.1-3.fc24 lxqt-openssh-askpass-0.11.1-3.fc24 lxqt-notificationd-0.11.1-3.fc24 lxqt-l10n-0.11.2-2.fc24 lxqt-globalkeys-0.11.1-3.fc24 lxqt-config-0.11.1-4.fc24 lxqt-common-0.11.2-2.fc24 lxqt-about-0.11.1-3.fc24 lxqt-admin-0.11.1-3.fc24 lximage-qt-0.5.1-3.fc24 liblxqt-0.11.1-4.fc24 libfm-qt-0.11.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7a00b029c

Comment 25 Fedora Update System 2017-01-20 19:21:05 UTC
libfm-qt-0.11.2-3.fc24, liblxqt-0.11.1-4.fc24, lximage-qt-0.5.1-3.fc24, lxqt-about-0.11.1-3.fc24, lxqt-admin-0.11.1-3.fc24, lxqt-common-0.11.2-2.fc24, lxqt-config-0.11.1-4.fc24, lxqt-globalkeys-0.11.1-3.fc24, lxqt-l10n-0.11.2-2.fc24, lxqt-notificationd-0.11.1-3.fc24, lxqt-openssh-askpass-0.11.1-3.fc24, lxqt-panel-0.11.1-3.fc24, lxqt-policykit-0.11.1-3.fc24, lxqt-powermanagement-0.11.1-3.fc24, lxqt-qtplugin-0.11.1-2.fc24, lxqt-runner-0.11.1-3.fc24, lxqt-session-0.11.1-3.fc24, lxqt-sudo-0.11.1-3.fc24, obconf-qt-0.11.1-3.fc24, pavucontrol-qt-0.2.0-3.fc24, pcmanfm-qt-0.11.3-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7a00b029c

Comment 26 Fedora Update System 2017-01-20 19:55:45 UTC
libfm-qt-0.11.2-3.fc25, liblxqt-0.11.1-4.fc25, lximage-qt-0.5.1-3.fc25, lxqt-about-0.11.1-3.fc25, lxqt-admin-0.11.1-3.fc25, lxqt-common-0.11.2-2.fc25, lxqt-config-0.11.1-4.fc25, lxqt-globalkeys-0.11.1-3.fc25, lxqt-l10n-0.11.2-2.fc25, lxqt-notificationd-0.11.1-3.fc25, lxqt-openssh-askpass-0.11.1-3.fc25, lxqt-panel-0.11.1-3.fc25, lxqt-policykit-0.11.1-3.fc25, lxqt-powermanagement-0.11.1-3.fc25, lxqt-qtplugin-0.11.1-2.fc25, lxqt-runner-0.11.1-3.fc25, lxqt-session-0.11.1-3.fc25, lxqt-sudo-0.11.1-3.fc25, obconf-qt-0.11.1-3.fc25, pavucontrol-qt-0.2.0-3.fc25, pcmanfm-qt-0.11.3-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb2187bc4e

Comment 27 Fedora Update System 2017-01-29 21:51:26 UTC
libfm-qt-0.11.2-3.fc25, liblxqt-0.11.1-4.fc25, lximage-qt-0.5.1-3.fc25, lxqt-about-0.11.1-3.fc25, lxqt-admin-0.11.1-3.fc25, lxqt-common-0.11.2-2.fc25, lxqt-config-0.11.1-4.fc25, lxqt-globalkeys-0.11.1-3.fc25, lxqt-l10n-0.11.2-2.fc25, lxqt-notificationd-0.11.1-3.fc25, lxqt-openssh-askpass-0.11.1-3.fc25, lxqt-panel-0.11.1-3.fc25, lxqt-policykit-0.11.1-3.fc25, lxqt-powermanagement-0.11.1-3.fc25, lxqt-qtplugin-0.11.1-2.fc25, lxqt-runner-0.11.1-3.fc25, lxqt-session-0.11.1-3.fc25, lxqt-sudo-0.11.1-3.fc25, obconf-qt-0.11.1-3.fc25, pavucontrol-qt-0.2.0-3.fc25, pcmanfm-qt-0.11.3-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-01-29 22:17:44 UTC
libfm-qt-0.11.2-3.fc24, liblxqt-0.11.1-4.fc24, lximage-qt-0.5.1-3.fc24, lxqt-about-0.11.1-3.fc24, lxqt-admin-0.11.1-3.fc24, lxqt-common-0.11.2-2.fc24, lxqt-config-0.11.1-4.fc24, lxqt-globalkeys-0.11.1-3.fc24, lxqt-l10n-0.11.2-2.fc24, lxqt-notificationd-0.11.1-3.fc24, lxqt-openssh-askpass-0.11.1-3.fc24, lxqt-panel-0.11.1-3.fc24, lxqt-policykit-0.11.1-3.fc24, lxqt-powermanagement-0.11.1-3.fc24, lxqt-qtplugin-0.11.1-2.fc24, lxqt-runner-0.11.1-3.fc24, lxqt-session-0.11.1-3.fc24, lxqt-sudo-0.11.1-3.fc24, obconf-qt-0.11.1-3.fc24, pavucontrol-qt-0.2.0-3.fc24, pcmanfm-qt-0.11.3-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.